aboutsummaryrefslogtreecommitdiffstats
path: root/csit/resources/scripts/run-test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'csit/resources/scripts/run-test.sh')
-rwxr-xr-xcsit/resources/scripts/run-test.sh45
1 files changed, 45 insertions, 0 deletions
diff --git a/csit/resources/scripts/run-test.sh b/csit/resources/scripts/run-test.sh
new file mode 100755
index 00000000..977bef75
--- /dev/null
+++ b/csit/resources/scripts/run-test.sh
@@ -0,0 +1,45 @@
+#!/bin/bash
+#
+# ============LICENSE_START====================================================
+# Copyright (C) 2023 Nordix Foundation.
+# =============================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END======================================================
+
+
+ROBOT_FILE=$1
+echo "Invoking the robot tests from: $1"
+
+export DEFAULT_PORT=6969
+export DATA=/opt/robotworkspace/models/models-examples/src/main/resources/policies
+export NODETEMPLATES=/opt/robotworkspace/models/models-examples/src/main/resources/nodetemplates
+export POLICY_RUNTIME_ACM_IP=policy-clamp-runtime-acm:${DEFAULT_PORT}
+export POLICY_API_IP=policy-api:${DEFAULT_PORT}
+export POLICY_PAP_IP=policy-pap:${DEFAULT_PORT}
+export APEX_IP=policy-apex-pdp:${DEFAULT_PORT}
+export DMAAP_IP=message-router:3904
+export SIMULATOR_IP=message-router
+export PROMETHEUS_IP=prometheus:9090
+
+export ROBOT_VARIABLES=
+ROBOT_VARIABLES="-v DATA:$DATA -v NODETEMPLATES:$NODETEMPLATES -v POLICY_RUNTIME_ACM_IP:$POLICY_RUNTIME_ACM_IP -v POLICY_API_IP:$POLICY_API_IP
+-v POLICY_PAP_IP:$POLICY_PAP_IP -v APEX_IP:$APEX_IP -v DMAAP_IP:$DMAAP_IP -v SIMULATOR_IP:$SIMULATOR_IP -v PROMETHEUS_IP:${PROMETHEUS_IP}"
+
+echo "Run Robot test"
+echo ROBOT_VARIABLES="${ROBOT_VARIABLES}"
+echo "Starting Robot test suites ..."
+python3 -m robot.run -d /tmp/ $ROBOT_VARIABLES $1
+RESULT=$?
+echo "RESULT: ${RESULT}"